<!doctype html>
<html lang="es">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<!-- Font Awesone -->
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.13/css/all.css" integrity="sha384-DNOHZ68U8hZfKXOrtjWvjxusGo9WQnrNx2sqG0tfsghAvtVlRW3tvkXWZh58N9jp" crossorigin="anonymous">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="css/estilos.css">
	
    <title>Filtrar Géneros</title>
  </head>
  <body>
    
  <div class="container-fluid">
	<div class="row bg-primary text-white p-5 shadow">
		<h1 class="col-12">Filtrar Géneros</h1>
		<ul>
			<li>Seleccionar las columnas que que quieres qmostrar</li>
			<li>Al presionar el botón el formulario ha de enviar los datos por POST a la misma página</li>
			<li>Una vez enviado los datos ha de aparecer una tabla con los géneros que cumplan las condiciones marcadas en el filtro</li>
			<li>Todos los valores de los campos del filtro tienen que tener el valor seleccionado después de enviar el formulario</li>
			<li>Si se visita por GET no ha de aparecer ningún resultado</li>
			<li>Avanzado:</li>
			<ul>
				<li>El nombre del género tiene que ser un enlace que lleve a la página colecciones.php y que pase por GET un parámetro 'id_genero' con el id del género</li>
				<li>Crear la página de colecciones.php que muestre una tabla con las colecciones del género pasado por el parámetro GET id_genero</li>
			</ul>

		</ul>
	</div>	
	
	
		
		<div class="row m-5">
			<h3 class="col-12"> Filtrar géneros</h3>
			
			<form class="col-12 m-3">
				<div class="row">
					<p class="col-12">Selecciona las columnas que quieres mostrar</p>
			 <div class="form-group form-check col-1 m-3">
				<input type="checkbox" class="form-check-input" id="chk1" name="chk1" >
				<label class="form-check-label" for="chk1">Id</label>
			  </div>
			  <div class="form-group form-check col-1 m-3">
				<input type="checkbox" class="form-check-input" id="chk2" name="chk2" >
				<label class="form-check-label" for="chk2">Genero</label>
			  </div>
			   <div class="form-group form-check col-1 m-3">
				<input type="checkbox" class="form-check-input" id="chk3" name="chk3" >
				<label class="form-check-label" for="chk3">Descripción</label>
			  </div>
			  </div>
			 <div class="row">
			   	<label  for="filtro" class="m-3">Contiene: </label>
				<input type="text" class="form-control m-2 col-4" id="filtro" name="filtro">
			</div>

			<div class="row">
				<label  for="ordencol" class="m-3">Ordenar por: </label>
				<select name="ordencol" id="ordencol" class="form-control col-2 m-2">
					<option value="id">id</option>
					<option value="genero">Género</option>
					<option value="descripcion">Descripción</option>
				</select>
				<select name="ordenorder" class="form-control col-2 m-2">
					<option value="asc">ascendente</option>
					<option value="desc">descendente</option>
				</select>
			 </div>
				
			<div class="row">
			  <button type="submit" class="btn btn-primary m-3">Filtrar géneros</button>
			  </div>
			</form>
		
		</div>
		<div class="row align-items-center mb-5">
			<div class="col-12 bg-secondary p-2 border text-center text-white"><h3>Generos Seleccionados</h3>
		</div>
		</div>
		



   </div>

		
	

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
   <script src="js/jquery-3.3.1.js"></script>
    <!-- bundle incluye popper.js -->
   <script src="js/bootstrap.bundle.js"></script>
   <script src="js/miscript.js"></script>
  </body>
</html>